post
https://yourdomain.jobboard.io/api/v1/jobs.json
Use the JobBoard.io API to create a single job
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
API requests are made via HTTPS using your account’s unique API key. Each request must be authenticated by including this API key in the request header as X-Api-Key. You can find your API token in Site Config.
The request header must contain your X-Api-Key, available in Site Config. Each request header must also contain "Content-Type: application/json".
The request body must contain:
| Request Key | Request Value Example | Required? |
|---|---|---|
| title | Developer | Yes |
| company | Apple | Yes |
| location | London | Yes |
| apply_url | http://careers.apple.com | Must have an apply method (apply_url or apply_email) |
| apply_email | [email protected] | Must have an apply method (apply_url or apply_email) |
| description | We are building a new platform for linking virtual content to locations. We use QR codes, low energy bluetooth, and other hardware. Join our team today! | Yes |
| contact_email | [email protected] | Yes. Please note if missing the error response will be "purchaser_email" can't be blank. |
| published | true or false | Yes |
| featured | true or false | Yes |
| job_type | Accepts String Values of Job Type - For example: "Full Time", "Part Time" | No |
Successful POST Response Example
{
"message": "Job created successfully.",
}Unsuccessful POST Response Example
When purchase email, nor apply method was correctly specified.
{
"message": {
"purchaser_email": [
"can't be blank"
],
"base": [
"You must provide an apply method."
]
}
}
